ViennaCL - The Vienna Computing Library 1.7.0 Free open-source GPU-accelerated linear algebra and solver library. |

Public Member Functions | Public Attributes
viennacl::device_specific::reduction_parameters Struct Reference

`#include <reduction_template.hpp>`

Inheritance diagram for viennacl::device_specific::reduction_parameters:

List of all members.

## Public Member Functions

| reduction_parameters (unsigned int _simd_width, unsigned int _group_size, unsigned int _num_groups, fetching_policy_type _fetching_policy)

## Public Attributes

unsigned int | num_groups
fetching_policy_type | fetching_policy

## Detailed Description

Definition at line 45 of file reduction_template.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::reduction_parameters::reduction_parameters | ( | unsigned int | _simd_width,
|  | unsigned int | _group_size,
|  | unsigned int | _num_groups,
|  | fetching_policy_type | _fetching_policy
| ) |  | `[inline]`

Definition at line 47 of file reduction_template.hpp.

## Member Data Documentation

fetching_policy_type viennacl::device_specific::reduction_parameters::fetching_policy

Definition at line 52 of file reduction_template.hpp.

unsigned int viennacl::device_specific::reduction_parameters::num_groups

Definition at line 51 of file reduction_template.hpp.

The documentation for this struct was generated from the following file:

- viennacl/device_specific/templates/reduction_template.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines